:root {
  --form-button-bg: #96653c;
  --message-bg: #6c655e;
  --body-bg: #a9e2ec;
  --menu-bg: #574638;
  --login-bg: #9b551b;

  --font-size: 1em;
  --c1: #e4f1f6;
  --c2: #67afcb;
  --c3: #347b98;
  --alpha-c3: #347c987a;
  --c4: #1a3e4c;
  --alpha-c4: #1a3e4c86;
  --c5: #092834;
  --alpha-c5: #09283479;
}
body {
  margin: 0;
  padding-bottom: 3rem;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-size: 1rem;
  display: grid;
  min-block-size: 100vh;
  min-block-size: 100svh;
  grid-template-columns: 100vw 0;
  grid-template-columns: 100dvw 0;
  grid-template-rows: 90vh auto;
  grid-template-rows: 90svh auto;
  grid-template-areas:
    "main sidebar"
    "footer footer";

  /* overflow: scroll; */
  background-color: var(--c5);
  transition: grid-template-columns 0.5s ease;
  overflow: hidden;
}
body.sb-expand {
  grid-template-columns: 0 100vw;
  grid-template-columns: 0 100dvw;
}
.main {
  grid-area: main;
  position: relative;
  overflow: scroll;
}
.footer {
  grid-area: footer;
}
.sidebar {
  grid-area: sidebar;
  position: relative;
  margin: 0.3em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: var(--c4);
}
.sidebar p {
  color: #fff;
}
#resize {
  position: absolute;
  /* inset: auto auto 8rem -4.5rem; */
  bottom: 75svh;
  left: -1.2em;
  font-size: 2rem;
  width: 2.5rem;
  aspect-ratio: 1;
  background-color: var(--c2);
  color: var(--c4);
  border: transparent;
  border-radius: 50%;
  cursor: pointer;
  z-index: 99;
}
#shrink {
  background-color: transparent;
  border: transparent;
  cursor: pointer;
  text-align: left;
  width: 2.5rem;
  background-color: var(--c2);
  border-radius: 50%;
  aspect-ratio: 1;
  position: absolute;
  bottom: 75svh;
  left: -0.8em;
}

#message-form {
  background: var(--c3);
  padding: 0.25rem;
  /* position: fixed; */
  display: flex;
  height: 3rem;
  box-sizing: border-box;
}
#input {
  border: none;
  padding: 0 1rem;
  flex-grow: 1;
  border-radius: 0.5rem;
  margin: 0.25rem;
  background-color: var(--c1);
}
#input > input {
  border: none;
}
#input input:focus {
  outline: none;
}
#message-form > button {
  background: var(--c1);
  border: none;
  padding: 0 1rem;
  margin: 0.25rem;
  border-radius: 3px;
  outline: none;
  color: #141515;
}
#submit-message:hover {
  background-color: var(--c5);
  color: var(--c1);
}

#messages {
  list-style-type: none;
  margin: 0;
  padding: 0;
  /* position: absolute; */
  /* bottom: 3.5rem; */
  /* top: 0.5rem; */
  /* overflow: scroll; */
  /* width: 70%; */
}
/*#messages > p*/
.entrie {
  /*les messages*/
  padding: 1em;
  margin: 1.5em 4.5em;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-size: medium;
  width: fit-content;
  border-radius: 1em;
  background-color: var(--c2);
  color: #fff;
  position: relative;
}

.modal {
  position: fixed;
  z-index: 9999;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: var(--alpha-c4);
  backdrop-filter: blur(5px);
}
#loginContainer {
  display: none;
}
#loginContainer form {
  background-color: var(--c2);
  margin: auto;
  max-width: 100dvh;
  padding: 2rem;
  display: flex;
  flex-direction: column;
}
#loginContainer > form label {
  color: azure;
  margin: 5px;
  font-size: 1.2em;
}
#loginContainer > form input[type="submit"] {
  margin: 5% 30%;
  height: 3em;
  font-size: 1.2em;
  box-shadow: 4px 4px 18px var(--c5);
  background-color: var(--c3);
  border: none;
  color: #fff;
}
#loginContainer > form input[type="text"],
input[type="password"] {
  font-size: 1.2em;
  padding: 5px;
}

#send-location {
  display: none;
}
input[type="file"] {
  display: none;
}
.material-icons {
  color: var(--c1);
  font-size: 36px;
}
#preview {
  display: inline-block;
}
#message {
  width: 100%;
  background-color: inherit;
}
/*mise en forme des lignes de messages*/
.attached {
  display: block;
  max-width: 20vw;
  margin: 3px;
  transition: width 1s;
}
/*agrandir l'image au survol*/
.attached:hover {
  max-width: 60vw;
}
/*.entrie > p {
  /*sert pour l'affichage du username dans les message*
  margin-top: 0em;
  font-family: Georgia, "Times New Roman", Times, serif;
  font-size: 0.8em;
  background-color: var(--body-bg);
  border-radius: 0.2em;
  color: var(--message-bg);
  padding: 0.4em;
  width: fit-content;
}
*/
form div {
  color: var(--body-bg);
}
form div a {
  color: var(--body-bg);
}
/*mise en forme des pastilles logo*/
.pastille {
  position: absolute;
  left: -5em;
  font-size: small;
  width: 4em;
  border-radius: 2em;
  bottom: -2em;
}
.entrie::before {
  content: "";
  background-color: inherit;
  width: 2em;
  height: 3.5em;
  position: absolute;
  bottom: 0.5em;
  left: 0em;
  transform: rotate(45deg);
  z-index: -1;
}
.timestamp {
  color: var(--c1);
  margin-left: 4em;
}
.username {
  font-family: cursive;
  font-size: 0.8em;
  margin: auto;
  color: var(--c3);
  text-align: center;
  text-decoration: underline;
}
/* #menu {
  position: absolute;
  color: blue;
  font-size: smaller;
  right: 0;
  width: 20%;
  margin-right: 0.5em;
} */
#connected {
  background-color: transparent;
  position: absolute;
  top: 4em;
  left: 10em;
}
#connected img {
  width: 2em;
  border-radius: 1em;
  position: relative;
}
/* #map-dialog {
  margin: auto;
  width: 75%;
} */
#map {
  height: 400px;
  width: 600px;
  margin-top: 3em;
}
.material-icons:hover {
  background-color: var(--c5);
}

svg {
  fill: var(--c5);
}
#logout svg {
  fill: var(--c2);
}
#connected img + img ~ img {
  left: -0.4em;
}
